Written by lastminuteengineer
Modified by Ghinwa Azzi Fab Academy 2021
/* Change these values based on your calibration values */
#define soilWet 750   // Define max value we consider soil 'wet'
#define soilDry 500   // Define min value we consider soil 'dry'

// Sensor pins
#define sensorPower 5
#define sensorPin A2

void setup() {
  pinMode(sensorPower, OUTPUT);
  
  // Initially keep the sensor OFF
  digitalWrite(sensorPower, LOW);
  
  Serial.begin(9600);
}

void loop() {
  //get the reading from the function below and print it
  int moisture = readSensor();
  Serial.print("Analog Output: ");
  Serial.println(moisture);

  // Determine status of our soil
  if (moisture > soilWet) {
    Serial.println("Status: Wet Soil");
  } else if (moisture >= soilWet && moisture < soilDry) {
    Serial.println("Status: Perfect Soil");
  } else {
    Serial.println("Status: Dry Soil");
  }
  
  delay(2000);  // Take a reading every second for testing
          // Normally you should take reading perhaps once or twice a day
  Serial.println();
}

//  This function returns the analog soil moisture measurement
int readSensor() {
  digitalWrite(sensorPower, HIGH);  // Turn the sensor ON
  delay(10);              // Allow power to settle
  int val = analogRead(sensorPin);  // Read the analog value form sensor
  digitalWrite(sensorPower, LOW);   // Turn the sensor OFF
  return val;             // Return analog moisture value
}
